package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.SchCollectorDTO;
import com.docus.server.entity.scheduling.management.SchCollector;
import com.docus.server.vo.scheduling.management.SchCollectorVO;
import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 采集器管理 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@Mapper
public interface SchCollectorConvert {

    SchCollectorConvert INSTANCE = Mappers.getMapper(SchCollectorConvert.class);

    @Mappings({})
    SchCollector convertDO(SchCollectorDTO schCollectorDTO);

    @Mappings({})
    List<SchCollector> convertDO(List<SchCollectorDTO> schCollectorDTOList);

    @Mappings({})
    SchCollectorVO convertVO(SchCollector schCollector);

    @Mappings({})
    List<SchCollectorVO> convertVO(List<SchCollector> schCollectorList);

    @Mappings({})
    PageResult<SchCollectorVO> convertVO(PageResult<SchCollector> pageResult);
}

